package com.goldenwater.web.controller.pms;

import com.goldenwater.slgc.entity.pms.PmsContractFee;
import com.goldenwater.slgc.service.pms.IPmsContractFeeService;
import com.goldenwater.common.core.controller.BaseController;
import com.goldenwater.common.core.domain.AjaxResult;
import com.goldenwater.common.core.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import com.goldenwater.common.annotation.Log;
import com.goldenwater.common.enums.BusinessType;
import org.springframework.validation.annotation.Validated;

import java.util.List;

@RestController
@Validated
@RequestMapping("/pms/contract/fee")
public class PmsContractFeeController extends BaseController {
    @Autowired
    private IPmsContractFeeService pmsContractFeeService;

    /**
     * 查询合同费用列表
     */
    @GetMapping("/list")
    public TableDataInfo list(PmsContractFee contractFee) {
        startPage();
        List<PmsContractFee> list = pmsContractFeeService.selectList(contractFee);
        return getDataTable(list);
    }

    /**
     * 获取合同费用详细信息
     */
    @GetMapping("/{id}")
    public AjaxResult getInfo(@PathVariable Long id) {
        return success(pmsContractFeeService.selectById(id));
    }

    /**
     * 新增合同费用
     */
    @Log(title = "合同费用", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody PmsContractFee contractFee) {
        return toAjax(pmsContractFeeService.insert(contractFee));
    }

    /**
     * 修改合同费用
     */
    @Log(title = "合同费用", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody PmsContractFee contractFee) {
        return toAjax(pmsContractFeeService.update(contractFee));
    }

    /**
     * 删除合同费用
     */
    @Log(title = "合同费用", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(pmsContractFeeService.deleteByIds(ids));
    }
}
